# History
**Inherits:** [RefCounted](https://docs.godotengine.org/de/4.x/classes/class_refcounted.html)
    


## Properties

| Name                                           | Type                                                                | Default |
| ---------------------------------------------- | ------------------------------------------------------------------- | ------- |
| [api](#prop-api)                               | [Hass](/reference/lib--home_apis--hass_ws--hass.html)               |         |
| [integration_exists](#prop-integration-exists) | [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html) | `false` |

## Methods

| Returns                                                                   | Name                                                                                                                                                                                                                                                                               |
| ------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| void                                                                      | [_init](#-init) ( hass: [Hass](/reference/lib--home_apis--hass_ws--hass.html) )                                                                                                                                                                                                    |
| [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) | [get_history](#get-history) ( entity_id: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html), start: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html), end: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) ) |





## Constants

### HASS_API = `<Object>` {#const-HASS-API}

No description provided yet.

## Property Descriptions

### api: [Hass](/reference/lib--home_apis--hass_ws--hass.html) {#prop-api}

No description provided yet.

### integration_exists: [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html) {#prop-integration-exists}

No description provided yet.

## Method Descriptions

###  _init (hass: [Hass](/reference/lib--home_apis--hass_ws--hass.html)  ) -> void {#-init}

No description provided yet.

###  get_history (entity_id: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html) , start: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html) , end: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html)  ) -> [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#get-history}

No description provided yet.
